Get Eligible Paylater for a customer on an order
curl --request POST \
--url https://sandbox.cashfree.com/pg/eligibility/paylater \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"queries": {
"amount": 10000,
"customer_details": {
"customer_phone": "9898989898"
}
}
}
'import requests
url = "https://sandbox.cashfree.com/pg/eligibility/paylater"
payload = { "queries": {
"amount": 10000,
"customer_details": { "customer_phone": "9898989898" }
} }
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({queries: {amount: 10000, customer_details: {customer_phone: '9898989898'}}})
};
fetch('https://sandbox.cashfree.com/pg/eligibility/paylater', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"eligibility": true,
"entity_type": "paylater",
"entity_value": "olapostpaid",
"entity_details": {
"payment_method": "olapostpaid"
}
}
]{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "bank_processing_failure",
"type": "api_error"
}Payment Methods
Get Eligible Paylater for a customer on an order
Use this API to get eligible Paylater Payment Methods for a customer on an order.
POST
/
eligibility
/
paylater
Get Eligible Paylater for a customer on an order
Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Body
application/json
Request Body to get eligible paylater options for a customer and order.
Request to get eligible paylater payment methods.
cardless EMI query object.
Show child attributes
Show child attributes
Example:
{
"order_id": "orderYB1X69LgzUQWiSxYDF",
"amount": 20,
"customer_details": { "customer_phone": "93838393833" }
}
Was this page helpful?
⌘I